> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get SCIM Service Provider Configuration

`GET https://api.pagerduty.com/scim/v2/ServiceProviderConfig`

Retrieves the SCIM Service Provider Configuration.
Scoped OAuth requires: `users.read`

## Authorization

- **apiKey** (apiKey) — `Authorization` header. A [General Access API Key](https://support.pagerduty.com/main/docs/api-access-keys#generate-a-general-access-rest-api-key) with format `Token token=<API_KEY>`
- **bearerToken** (http) — HTTP bearer. An [App OAuth Token](https://docs.pagerduty.com/developer/private-apps) with format `Bearer <TOKEN>`

## Response 200

SCIM Service Provider Configuration

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `authenticationSchemes` | array of object | yes | A list of supported authentication schemes. Min items: 1. |
| `authenticationSchemes[].description` | string | yes | A description of the authentication scheme. Min length: 1. |
| `authenticationSchemes[].documentationUri` | string (uri) |  | An HTTP-addressable URL pointing to the authentication scheme's usage documentation. Pattern: `^https?://.*`. |
| `authenticationSchemes[].name` | string | yes | The name of the authentication scheme. Min length: 1. |
| `authenticationSchemes[].primary` | boolean |  | A Boolean value indicating whether this is the primary authentication scheme. |
| `authenticationSchemes[].specUri` | string (uri) |  | A URI that points to the specification of the authentication scheme. Pattern: `^https?://.*`. |
| `authenticationSchemes[].type` | string | yes | The type of authentication scheme. One of: `oauthbearertoken`, `oauth`, `oauth2`, `httpbasic`, `httpdigest`, `apikey`. Min length: 1. |
| `bulk` | object | yes | A complex type that specifies bulk configuration options. |
| `bulk.maxOperations` | integer | yes | An integer value specifying the maximum number of operations. |
| `bulk.maxPayloadSize` | integer | yes | An integer value specifying the maximum payload size in bytes. |
| `bulk.supported` | boolean | yes | A Boolean value specifying whether the operation is supported. |
| `changePassword` | object | yes | A complex type that specifies change password configuration options. |
| `changePassword.supported` | boolean | yes | A Boolean value specifying whether the operation is supported. |
| `documentationUri` | string \| null (uri) |  | An HTTP-addressable URL pointing to the service provider's documentation. Pattern: `^https?://.*`. |
| `etag` | object | yes | A complex type that specifies ETag configuration options. |
| `etag.supported` | boolean | yes | A Boolean value specifying whether the operation is supported. |
| `filter` | object | yes | A complex type that specifies filter configuration options. |
| `filter.maxResults` | integer | yes | An integer value specifying the maximum number of results returned. |
| `filter.supported` | boolean | yes | A Boolean value specifying whether the operation is supported. |
| `meta` | object | yes |  |
| `meta.resourceType` | string | yes | The resource type. |
| `patch` | object | yes | A complex type that specifies PATCH configuration options. |
| `patch.supported` | boolean | yes | A Boolean value specifying whether the operation is supported. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"]`. Min items: 1. Items must be unique. |
| `sort` | object | yes | A complex type that specifies sort configuration options. |
| `sort.supported` | boolean | yes | A Boolean value specifying whether the operation is supported. |

## Response 400

Bad Request

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 401

Unauthorized

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 403

Forbidden

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 500

Internal Server Error

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
